com.fasterxml.jackson.jaxrs.base.nocontent

## Class JaxRS1NoContentExceptionSupplier

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.base.nocontent.JaxRS1NoContentExceptionSupplier

All Implemented Interfaces:
  NoContentExceptionSupplier

    public class JaxRS1NoContentExceptionSupplier
    extends Object
    implements NoContentExceptionSupplier

Create plain IOException for JaxRS 1.x because `NoContentException` has been introduced in JaxRS 2.x

### Field Summary

### Fields inherited from interface com.fasterxml.jackson.jaxrs.base.NoContentExceptionSupplier

`NO_CONTENT_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`JaxRS1NoContentExceptionSupplier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOException` `createNoContentException()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JaxRS1NoContentExceptionSupplier

    public JaxRS1NoContentExceptionSupplier()

### Method Detail

#### createNoContentException

    public IOException createNoContentException()

Specified by:
  `createNoContentException` in interface `NoContentExceptionSupplier`